Update location by overriding existing details - Fabric

Update location by overriding existing details

cURL

curl --request PUT \
  --url https://prod01.oms.fabric.inc/api/v2/location/{locationNum} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "attributes": {
    "isReturns": true
  },
  "locationNum": 13,
  "name": "CA",
  "isActive": true,
  "address": {
    "addressLine1": "2800 Ashcraft Court",
    "addressLine2": "Fairview road",
    "addressLine3": "N 9 1/2 street",
    "addressLine4": "Coronado school",
    "city": "Coronado",
    "state": "California",
    "country": "USA",
    "postalCode": 92118,
    "type": "2800 Ashcraft Court",
    "contact": [
      {
        "type": "Residence",
        "email": "mark@email.com",
        "phone": [
          {
            "number": "555-555-5555",
            "type": "mobile"
          }
        ],
        "name": {
          "first": "John",
          "middle": "Mark",
          "last": "Doe"
        }
      }
    ]
  },
  "type": "Warehouse",
  "operatingHours": [
    {
      "day": "Monday",
      "hours": [
        {
          "open": "10:00",
          "close": "16:00"
        }
      ]
    }
  ],
  "coordinates": {
    "type": "Point",
    "coordinates": [
      [
        "-22.95239063733024",
        "-43.21034257655916"
      ]
    ]
  },
  "services": {
    "isCurbsidePickUp": false
  }
}
'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/location/{locationNum}"

payload = {
    "attributes": { "isReturns": True },
    "locationNum": 13,
    "name": "CA",
    "isActive": True,
    "address": {
        "addressLine1": "2800 Ashcraft Court",
        "addressLine2": "Fairview road",
        "addressLine3": "N 9 1/2 street",
        "addressLine4": "Coronado school",
        "city": "Coronado",
        "state": "California",
        "country": "USA",
        "postalCode": 92118,
        "type": "2800 Ashcraft Court",
        "contact": [
            {
                "type": "Residence",
                "email": "mark@email.com",
                "phone": [
                    {
                        "number": "555-555-5555",
                        "type": "mobile"
                    }
                ],
                "name": {
                    "first": "John",
                    "middle": "Mark",
                    "last": "Doe"
                }
            }
        ]
    },
    "type": "Warehouse",
    "operatingHours": [
        {
            "day": "Monday",
            "hours": [
                {
                    "open": "10:00",
                    "close": "16:00"
                }
            ]
        }
    ],
    "coordinates": {
        "type": "Point",
        "coordinates": [["-22.95239063733024", "-43.21034257655916"]]
    },
    "services": { "isCurbsidePickUp": False }
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'PUT',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    attributes: {isReturns: true},
    locationNum: 13,
    name: 'CA',
    isActive: true,
    address: {
      addressLine1: '2800 Ashcraft Court',
      addressLine2: 'Fairview road',
      addressLine3: 'N 9 1/2 street',
      addressLine4: 'Coronado school',
      city: 'Coronado',
      state: 'California',
      country: 'USA',
      postalCode: 92118,
      type: '2800 Ashcraft Court',
      contact: [{
        type: 'Residence',
        email: 'mark@email.com',
        phone: [{number: '555-555-5555', type: 'mobile'}],
        name: {first: 'John', middle: 'Mark', last: 'Doe'}
      }]
    },
    type: 'Warehouse',
    operatingHours: [{day: 'Monday', hours: [{open: '10:00', close: '16:00'}]}],
    coordinates: {type: 'Point', coordinates: [['-22.95239063733024', '-43.21034257655916']]},
    services: {isCurbsidePickUp: false}
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/location/{locationNum}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/location/{locationNum}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'attributes' => [
        'isReturns' => true
    ],
    'locationNum' => 13,
    'name' => 'CA',
    'isActive' => true,
    'address' => [
        'addressLine1' => '2800 Ashcraft Court',
        'addressLine2' => 'Fairview road',
        'addressLine3' => 'N 9 1/2 street',
        'addressLine4' => 'Coronado school',
        'city' => 'Coronado',
        'state' => 'California',
        'country' => 'USA',
        'postalCode' => 92118,
        'type' => '2800 Ashcraft Court',
        'contact' => [
                [
                                'type' => 'Residence',
                                'email' => 'mark@email.com',
                                'phone' => [
                                                                [
                                                                                                                                'number' => '555-555-5555',
                                                                                                                                'type' => 'mobile'
                                                                ]
                                ],
                                'name' => [
                                                                'first' => 'John',
                                                                'middle' => 'Mark',
                                                                'last' => 'Doe'
                                ]
                ]
        ]
    ],
    'type' => 'Warehouse',
    'operatingHours' => [
        [
                'day' => 'Monday',
                'hours' => [
                                [
                                                                'open' => '10:00',
                                                                'close' => '16:00'
                                ]
                ]
        ]
    ],
    'coordinates' => [
        'type' => 'Point',
        'coordinates' => [
                [
                                '-22.95239063733024',
                                '-43.21034257655916'
                ]
        ]
    ],
    'services' => [
        'isCurbsidePickUp' => false
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Responses

Successful Response

{
  "attributes": {
    "isReturns": true
  },
  "id": "622fae9a065d9e62a4029f79",
  "locationNum": 13,
  "name": "CA",
  "isActive": true,
  "address": {
    "addressLine1": "2800 Ashcraft Court",
    "addressLine2": "Fairview road",
    "addressLine3": "N 9 1/2 street",
    "addressLine4": "Coronado school",
    "city": "Coronado",
    "state": "California",
    "country": "USA",
    "postalCode": 92118,
    "type": "2800 Ashcraft Court",
    "contact": [
      {
        "type": "Residence",
        "email": "mark@email.com",
        "phone": [
          {
            "number": "555-555-5555",
            "type": "mobile"
          }
        ],
        "name": {
          "first": "John",
          "middle": "Mark",
          "last": "Doe"
        }
      }
    ]
  },
  "type": "warehouse",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "operatingHours": [
    {
      "day": "Monday",
      "hours": [
        {
          "open": "10:00",
          "close": "16:00"
        }
      ]
    }
  ],
  "coordinates": {
    "type": "Point",
    "coordinates": [
      [
        "-22.95239063733024",
        "-43.21034257655916"
      ]
    ]
  },
  "services": {
    "isCurbsidePickUp": false
  }
}

Error Responses

{
  "message": "Invalid payload or parameter"
}
{
  "message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}